Notify HIU subscription
Hosted by the HIP/HIU, not by ABDM. ABDM calls this endpoint at the callback URL registered for your bridge, so the path below is relative to that URL.
This API endpoint serves as a callback to notify the subscribed Health Information User (HIU) when a care context is linked or updated for a patient. By invoking this API, the HIU is informed about any changes or additions to the patient’s care context, ensuring that they have the most current and accurate health information. This functionality is essential for maintaining the integrity and synchronization of patient health records, supporting efficient and transparent health information exchange within the healthcare ecosystem. The access token from POST /api/hiecm/gateway/v3/sessions, sent with a Unique UUID for track the end to end request transaction Actual time of the request was initiated, ISO 8601 represents date and time by starting with the year, followed by the month, the day, the hour, the minutes, seconds and milliseconds Identifier of the health information user to which the request was intended the event Id .Allows alpha numeric character and special characters like [A-Z a-z 0-9]+[A-Z a-z 0-9 //_//-]*[A-Z a-z 0-9]$ UTC. Allows alpha numeric character and special characters like \\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}.\\d{3}Z$ One of The abha address of the patient. Must start with Alphanumeric . and _ in the middle and must be ending with @abdm or @sbx and Allows alpha numeric character and special characters like ^[a-zA-Z0-9][a-zA-Z0-9_.\\-!]+[a-zA-Z0-9]@(abdm|sbx)$ Identifier and name of the health information provider. service Id. Allows alpha numeric character and special characters like [A-Z a-z 0-9]+[A-Z a-z 0-9 //_//-]*[A-Z a-z 0-9]$ List of care contexts linked at the HIP end for the identified patient. One of OK Bad Request The error code and message, if any occurred. ABDM-1031 - Invalid request. May be returned either bare ( Unauthorized 900901 - Invalid Credentials. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator. Internal Server Error The error code and message, if any occurred. Service Unavailable ABDM-1024 - Dependent service unavailable. May be returned either bare (Authorizations
Authorizationbearer tokenRequiredBearer prefix.Headers
REQUEST-IDstringRequiredTIMESTAMPstringRequiredX-HIU-IDstringRequiredBody
eventobjectRequiredevent.idstringRequiredevent.publishedstringRequiredevent.categorystringRequiredLINKDATAevent.subscriptionIdstringRequiredevent.contentobjectRequiredevent.content.patientobjectRequiredevent.content.patient.idstringRequiredevent.content.hipobjectRequiredevent.content.hip.idstringRequiredevent.content.contextsobject[]Requiredevent.content.contexts.careContextsobject[]Requiredevent.content.contexts.hiTypestringRequiredDiagnosticReportDischargeSummaryHealthDocumentRecordImmunizationRecordOPConsultationPrescriptionWellnessRecordInvoiceResponses
200400errorobjecterror.codestringRequiredABDM-1031) or with a trailing ": " separator (ABDM-1031: ); match on the code itself and tolerate the separator.error.messagestringRequired401codestringmessagestringdescriptionstring500timestampnumberRequiredpathstringRequiredstatusintegerRequirederrorstringRequiredrequestIdstringRequired503codestringRequiredABDM-1024) or with a trailing ": " separator (ABDM-1024: ); match on the code itself and tolerate the separator.messagestringRequired
Where this fits
Answer this callback by calling This API will be invoked by the HIU to respond to /api/v3/hiu/subscription/notify..